Apache logging services logo Apache log4j logo

Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 40
Number of dependencies (NOD): 381
Number of unique artifacts (NOA): 508
Number of version-conflicting artifacts (NOC): 23
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 75 %
Ready for release (100 % convergence and no SNAPSHOTS): [Error] Error
You do not have 100 % convergence.

Dependencies used in modules

com.fasterxml.woodstox:woodstox-core

[Error]
5.0.3
  1. org.apache.logging.log4j:log4j-core-its:jar:2.12.2
    \- com.fasterxml.woodstox:woodstox-core:jar:5.0.3:compile

  2. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- com.fasterxml.woodstox:woodstox-core:jar:5.0.3:compile

5.1.0
  1. org.apache.logging.log4j:log4j-core-its:jar:2.12.2
    \- com.fasterxml.jackson.dataformat:jackson-dataformat-xml:jar:2.9.9:compile
       \- (com.fasterxml.woodstox:woodstox-core:jar:5.1.0:compile - omitted for conflict with 5.0.3)

  2. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- com.fasterxml.jackson.dataformat:jackson-dataformat-xml:jar:2.9.9:compile
       \- (com.fasterxml.woodstox:woodstox-core:jar:5.1.0:compile - omitted for conflict with 5.0.3)

com.google.guava:guava

[Error]
11.0.2
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
       +- org.apache.flume:flume-ng-configuration:jar:1.7.0:compile
       |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
       +- org.apache.flume:flume-ng-core:jar:1.7.0:compile
       |  +- org.apache.flume:flume-ng-auth:jar:1.7.0:compile
       |  |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
       |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
       +- org.apache.flume.flume-ng-sinks:flume-hdfs-sink:jar:1.7.0:compile
       |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
       \- com.google.guava:guava:jar:11.0.2:compile

  2. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.9.0:compile
       +- org.apache.flume:flume-ng-configuration:jar:1.9.0:compile
       |  \- com.google.guava:guava:jar:11.0.2:compile
       +- org.apache.flume:flume-ng-core:jar:1.7.0:compile (version managed from 1.9.0)
       |  +- org.apache.flume:flume-ng-auth:jar:1.7.0:compile
       |  |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
       |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
       \- org.apache.flume:flume-ng-node:jar:1.7.0:compile (version managed from 1.9.0)
          +- org.apache.flume.flume-ng-sinks:flume-hdfs-sink:jar:1.7.0:compile
          |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
          \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)

  3. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    +- org.apache.flume:flume-ng-core:jar:1.7.0:compile
    |  +- org.apache.flume:flume-ng-configuration:jar:1.7.0:compile
    |  |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
    |  +- org.apache.flume:flume-ng-auth:jar:1.7.0:compile
    |  |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
    |  \- com.google.guava:guava:jar:11.0.2:compile
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.7.0:compile
       \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
          +- org.apache.flume.flume-ng-sinks:flume-hdfs-sink:jar:1.7.0:compile
          |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
          \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)

16.0
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- org.apache.cassandra:cassandra-all:jar:2.2.8:test
       +- (com.google.guava:guava:jar:16.0:test - omitted for conflict with 16.0.1)
       \- org.caffinitas.ohc:ohc-core:jar:0.3.4:test
          \- (com.google.guava:guava:jar:16.0:test - omitted for conflict with 16.0.1)

16.0.1
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
       +- org.apache.curator:curator-framework:jar:2.6.0:compile
       |  +- org.apache.curator:curator-client:jar:2.6.0:compile
       |  |  \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)
       |  \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)
       \- org.apache.curator:curator-recipes:jar:2.6.0:compile
          \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)

  2. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- com.datastax.cassandra:cassandra-driver-core:jar:3.1.4:compile
       \- com.google.guava:guava:jar:16.0.1:compile

  3. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.7.0:compile
       \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
          +- org.apache.curator:curator-framework:jar:2.6.0:compile
          |  +- org.apache.curator:curator-client:jar:2.6.0:compile
          |  |  \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)
          |  \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)
          \- org.apache.curator:curator-recipes:jar:2.6.0:compile
             \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)

18.0
  1. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- com.google.code.java-allocation-instrumenter:java-allocation-instrumenter:jar:3.0.1:test
       \- (com.google.guava:guava:jar:18.0:test - omitted for conflict with 20.0)

20.0
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.9.0:compile
       \- org.apache.flume:flume-ng-node:jar:1.7.0:compile (version managed from 1.9.0)
          \- org.apache.curator:curator-framework:jar:4.0.1:compile (version managed from 2.6.0)
             \- org.apache.curator:curator-client:jar:4.0.1:compile
                \- (com.google.guava:guava:jar:20.0:compile - omitted for conflict with 11.0.2)

  2. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- com.github.tomakehurst:wiremock:jar:2.19.0:test
       \- com.google.guava:guava:jar:20.0:test

25.1-android
  1. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       \- com.google.inject:guice:jar:no_aop:4.2.1:test
          \- (com.google.guava:guava:jar:25.1-android:test - omitted for conflict with 20.0)

commons-collections:commons-collections

[Error]
3.2.1
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    +- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
    |  \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
    |     \- org.apache.avro:avro-ipc:jar:1.7.4:compile
    |        \- org.apache.velocity:velocity:jar:1.7:compile
    |           \- (commons-collections:commons-collections:jar:3.2.1:compile - omitted for conflict with 3.2.2)
    \- org.apache.hadoop:hadoop-core:jar:1.2.1:compile
       \- commons-configuration:commons-configuration:jar:1.6:compile
          \- (commons-collections:commons-collections:jar:3.2.1:compile - omitted for conflict with 3.2.2)

  2. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    +- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
    |  \- org.apache.avro:avro-ipc:jar:1.7.4:compile
    |     \- org.apache.velocity:velocity:jar:1.7:compile
    |        \- (commons-collections:commons-collections:jar:3.2.1:compile - omitted for conflict with 3.2.2)
    \- org.apache.hadoop:hadoop-core:jar:1.2.1:test
       \- commons-configuration:commons-configuration:jar:1.6:test
          \- (commons-collections:commons-collections:jar:3.2.1:test - omitted for conflict with 3.2.2)

3.2.2
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    +- org.apache.flume:flume-ng-node:jar:1.7.0:compile
    |  \- org.apache.flume.flume-ng-channels:flume-spillable-memory-channel:jar:1.7.0:compile
    |     \- (commons-collections:commons-collections:jar:3.2.2:compile - omitted for duplicate)
    \- org.apache.flume.flume-ng-channels:flume-file-channel:jar:1.7.0:compile
       \- commons-collections:commons-collections:jar:3.2.2:compile

  2. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    +- org.apache.flume:flume-ng-embedded-agent:jar:1.7.0:compile
    |  \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
    |     \- org.apache.flume.flume-ng-channels:flume-spillable-memory-channel:jar:1.7.0:compile
    |        \- (commons-collections:commons-collections:jar:3.2.2:compile - omitted for conflict with 3.2.1)
    \- org.apache.flume.flume-ng-channels:flume-file-channel:jar:1.7.0:test (scope not updated to compile)
       \- commons-collections:commons-collections:jar:3.2.2:test

commons-httpclient:commons-httpclient

[Error]
3.0.1
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.hadoop:hadoop-core:jar:1.2.1:compile
       \- commons-httpclient:commons-httpclient:jar:3.0.1:compile

  2. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    \- org.apache.hadoop:hadoop-core:jar:1.2.1:test
       \- commons-httpclient:commons-httpclient:jar:3.0.1:test

3.1
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.hadoop:hadoop-core:jar:1.2.1:compile
       \- net.java.dev.jets3t:jets3t:jar:0.6.1:compile
          \- (commons-httpclient:commons-httpclient:jar:3.1:compile - omitted for conflict with 3.0.1)

  2. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    \- org.apache.hadoop:hadoop-core:jar:1.2.1:test
       \- net.java.dev.jets3t:jets3t:jar:0.6.1:test
          \- (commons-httpclient:commons-httpclient:jar:3.1:test - omitted for conflict with 3.0.1)

commons-lang:commons-lang

[Error]
2.4
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    +- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
    |  \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
    |     \- org.apache.avro:avro-ipc:jar:1.7.4:compile
    |        \- org.apache.velocity:velocity:jar:1.7:compile
    |           \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.5)
    \- org.apache.hadoop:hadoop-core:jar:1.2.1:compile
       \- commons-configuration:commons-configuration:jar:1.6:compile
          \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.5)

  2. org.apache.logging.log4j.samples:log4j-samples-flume-remote:war:2.12.2
    \- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
       \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
          \- org.apache.avro:avro-ipc:jar:1.7.4:compile
             \- org.apache.velocity:velocity:jar:1.7:compile
                \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.5)

  3. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    +- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
    |  \- org.apache.avro:avro-ipc:jar:1.7.4:compile
    |     \- org.apache.velocity:velocity:jar:1.7:compile
    |        \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.5)
    \- org.apache.hadoop:hadoop-core:jar:1.2.1:test
       \- commons-configuration:commons-configuration:jar:1.6:test
          \- (commons-lang:commons-lang:jar:2.4:test - omitted for conflict with 2.5)

2.5
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    +- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
    |  \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
    |     \- org.apache.thrift:libthrift:jar:0.9.0:compile
    |        \- (commons-lang:commons-lang:jar:2.5:compile - omitted for duplicate)
    +- org.apache.flume:flume-ng-node:jar:1.7.0:compile
    |  +- org.apache.flume:flume-ng-core:jar:1.7.0:compile
    |  |  \- (commons-lang:commons-lang:jar:2.5:compile - omitted for duplicate)
    |  +- org.apache.flume.flume-ng-sinks:flume-hdfs-sink:jar:1.7.0:compile
    |  |  \- (commons-lang:commons-lang:jar:2.5:compile - omitted for duplicate)
    |  \- org.apache.flume.flume-ng-channels:flume-spillable-memory-channel:jar:1.7.0:compile
    |     \- (commons-lang:commons-lang:jar:2.5:compile - omitted for duplicate)
    \- org.apache.flume.flume-ng-channels:flume-file-channel:jar:1.7.0:compile
       \- commons-lang:commons-lang:jar:2.5:compile

  2. org.apache.logging.log4j.samples:log4j-samples-flume-remote:war:2.12.2
    \- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
       \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
          \- org.apache.thrift:libthrift:jar:0.9.0:compile
             \- commons-lang:commons-lang:jar:2.5:compile

  3. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    +- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
    |  \- org.apache.thrift:libthrift:jar:0.9.0:compile
    |     \- (commons-lang:commons-lang:jar:2.5:compile - omitted for duplicate)
    +- org.apache.flume:flume-ng-core:jar:1.7.0:compile
    |  \- commons-lang:commons-lang:jar:2.5:compile
    +- org.apache.flume:flume-ng-embedded-agent:jar:1.7.0:compile
    |  \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
    |     +- org.apache.flume.flume-ng-sinks:flume-hdfs-sink:jar:1.7.0:compile
    |     |  \- (commons-lang:commons-lang:jar:2.5:compile - omitted for duplicate)
    |     \- org.apache.flume.flume-ng-channels:flume-spillable-memory-channel:jar:1.7.0:compile
    |        \- (commons-lang:commons-lang:jar:2.5:compile - omitted for duplicate)
    \- org.apache.flume.flume-ng-channels:flume-file-channel:jar:1.7.0:test (scope not updated to compile)
       \- (commons-lang:commons-lang:jar:2.5:test - omitted for duplicate)

io.dropwizard.metrics:metrics-core

[Error]
3.1.0
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- org.apache.cassandra:cassandra-all:jar:2.2.8:test
       +- (io.dropwizard.metrics:metrics-core:jar:3.1.0:test - omitted for conflict with 3.1.2)
       +- io.dropwizard.metrics:metrics-jvm:jar:3.1.0:test
       |  \- (io.dropwizard.metrics:metrics-core:jar:3.1.0:test - omitted for conflict with 3.1.2)
       \- com.addthis.metrics:reporter-config3:jar:3.0.0:test
          \- (io.dropwizard.metrics:metrics-core:jar:3.1.0:test - omitted for conflict with 3.1.2)

3.1.2
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- com.datastax.cassandra:cassandra-driver-core:jar:3.1.4:compile
       \- io.dropwizard.metrics:metrics-core:jar:3.1.2:compile

io.netty:netty

[Error]
3.7.0.Final
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
       \- org.apache.curator:curator-framework:jar:2.6.0:compile
          \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile
             \- (io.netty:netty:jar:3.7.0.Final:compile - omitted for conflict with 3.9.4.Final)

  2. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.7.0:compile
       \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
          \- org.apache.curator:curator-framework:jar:2.6.0:compile
             \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile
                \- (io.netty:netty:jar:3.7.0.Final:compile - omitted for conflict with 3.9.4.Final)

3.9.4.Final
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    +- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
    |  \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
    |     \- io.netty:netty:jar:3.9.4.Final:compile
    \- org.apache.flume:flume-ng-node:jar:1.7.0:compile
       \- org.apache.flume:flume-ng-core:jar:1.7.0:compile
          \- (io.netty:netty:jar:3.9.4.Final:compile - omitted for duplicate)

  2. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    +- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
    |  \- io.netty:netty:jar:3.9.4.Final:compile
    \- org.apache.flume:flume-ng-core:jar:1.7.0:compile
       \- (io.netty:netty:jar:3.9.4.Final:compile - omitted for duplicate)

net.java.dev.jna:jna

[Error]
4.0.0
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- org.apache.cassandra:cassandra-all:jar:2.2.8:test
       \- net.java.dev.jna:jna:jar:4.0.0:test

4.1.0
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- org.apache.cassandra:cassandra-all:jar:2.2.8:test
       \- org.caffinitas.ohc:ohc-core:jar:0.3.4:test
          \- (net.java.dev.jna:jna:jar:4.1.0:test - omitted for conflict with 4.0.0)

org.apache.flume:flume-ng-configuration

[Error]
1.7.0
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.9.0:compile
       +- org.apache.flume:flume-ng-core:jar:1.7.0:compile (version managed from 1.9.0)
       |  \- (org.apache.flume:flume-ng-configuration:jar:1.7.0:compile - omitted for conflict with 1.9.0)
       +- org.apache.flume:flume-ng-node:jar:1.7.0:compile (version managed from 1.9.0)
       |  +- (org.apache.flume:flume-ng-configuration:jar:1.7.0:compile - omitted for conflict with 1.9.0)
       |  +- org.apache.flume.flume-ng-sinks:flume-hdfs-sink:jar:1.7.0:compile
       |  |  \- (org.apache.flume:flume-ng-configuration:jar:1.7.0:compile - omitted for conflict with 1.9.0)
       |  +- org.apache.flume.flume-ng-sinks:flume-irc-sink:jar:1.7.0:compile
       |  |  \- (org.apache.flume:flume-ng-configuration:jar:1.7.0:compile - omitted for conflict with 1.9.0)
       |  +- org.apache.flume.flume-ng-channels:flume-jdbc-channel:jar:1.7.0:compile
       |  |  \- (org.apache.flume:flume-ng-configuration:jar:1.7.0:compile - omitted for conflict with 1.9.0)
       |  \- org.apache.flume.flume-ng-channels:flume-spillable-memory-channel:jar:1.7.0:compile
       |     \- (org.apache.flume:flume-ng-configuration:jar:1.7.0:compile - omitted for conflict with 1.9.0)
       \- org.apache.flume.flume-ng-channels:flume-file-channel:jar:1.7.0:compile
          \- (org.apache.flume:flume-ng-configuration:jar:1.7.0:compile - omitted for conflict with 1.9.0)

1.9.0
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.9.0:compile
       \- org.apache.flume:flume-ng-configuration:jar:1.9.0:compile

org.apache.flume:flume-ng-sdk

[Error]
1.7.0
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    +- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
    |  \- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - omitted for conflict with 1.9.0)
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.9.0:compile
       +- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       +- org.apache.flume:flume-ng-configuration:jar:1.9.0:compile
       |  \- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       +- org.apache.flume:flume-ng-core:jar:1.7.0:compile (version managed from 1.9.0)
       |  +- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       |  \- org.apache.flume:flume-ng-auth:jar:1.7.0:compile
       |     \- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       +- org.apache.flume:flume-ng-node:jar:1.7.0:compile (version managed from 1.9.0)
       |  +- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       |  +- org.apache.flume.flume-ng-sinks:flume-hdfs-sink:jar:1.7.0:compile
       |  |  \- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       |  +- org.apache.flume.flume-ng-sinks:flume-irc-sink:jar:1.7.0:compile
       |  |  \- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       |  +- org.apache.flume.flume-ng-channels:flume-jdbc-channel:jar:1.7.0:compile
       |  |  \- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       |  \- org.apache.flume.flume-ng-channels:flume-spillable-memory-channel:jar:1.7.0:compile
       |     \- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)
       \- org.apache.flume.flume-ng-channels:flume-file-channel:jar:1.7.0:compile
          \- (org.apache.flume:flume-ng-sdk:jar:1.7.0:compile - version managed from 1.9.0; omitted for conflict with 1.9.0)

1.9.0
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.apache.flume:flume-ng-sdk:jar:1.9.0:compile

org.apache.httpcomponents:httpcore

[Error]
4.1.3
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
       \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
          \- org.apache.thrift:libthrift:jar:0.9.0:compile
             \- org.apache.httpcomponents:httpcore:jar:4.1.3:compile

  2. org.apache.logging.log4j.samples:log4j-samples-flume-remote:war:2.12.2
    \- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
       \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
          \- org.apache.thrift:libthrift:jar:0.9.0:compile
             \- org.apache.httpcomponents:httpcore:jar:4.1.3:compile

  3. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
       \- org.apache.thrift:libthrift:jar:0.9.0:compile
          \- org.apache.httpcomponents:httpcore:jar:4.1.3:compile

4.1.4
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
       \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
          \- org.apache.thrift:libthrift:jar:0.9.0:compile
             \- org.apache.httpcomponents:httpclient:jar:4.1.3:compile
                \- (org.apache.httpcomponents:httpcore:jar:4.1.4:compile - omitted for conflict with 4.1.3)

  2. org.apache.logging.log4j.samples:log4j-samples-flume-remote:war:2.12.2
    \- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
       \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
          \- org.apache.thrift:libthrift:jar:0.9.0:compile
             \- org.apache.httpcomponents:httpclient:jar:4.1.3:compile
                \- (org.apache.httpcomponents:httpcore:jar:4.1.4:compile - omitted for conflict with 4.1.3)

  3. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
       \- org.apache.thrift:libthrift:jar:0.9.0:compile
          \- org.apache.httpcomponents:httpclient:jar:4.1.3:compile
             \- (org.apache.httpcomponents:httpcore:jar:4.1.4:compile - omitted for conflict with 4.1.3)

org.apache.logging.log4j:log4j-api

[Error]
2.11.1
  1. org.apache.logging.log4j.samples:log4j-spring-cloud-config-sample-server:jar:2.12.2
    +- org.springframework.boot:spring-boot-starter-log4j2:jar:2.1.2.RELEASE:compile
    |  \- org.apache.logging.log4j:log4j-jul:jar:2.11.1:compile
    |     \- (org.apache.logging.log4j:log4j-api:jar:2.11.1:compile - omitted for duplicate)
    +- org.apache.logging.log4j:log4j-core:jar:2.12.2:compile
    |  \- (org.apache.logging.log4j:log4j-api:jar:2.11.1:compile - version managed from 2.12.2; omitted for conflict with 2.12.2)
    \- org.apache.logging.log4j:log4j-slf4j-impl:jar:2.12.2:compile
       \- (org.apache.logging.log4j:log4j-api:jar:2.11.1:compile - version managed from 2.12.2; omitted for conflict with 2.12.2)

2.12.2
  1. org.apache.logging.log4j.samples:log4j-spring-cloud-config-sample-server:jar:2.12.2
    \- org.apache.logging.log4j:log4j-api:jar:2.12.2:compile

org.apache.logging.log4j:log4j-core

[Error]
2.11.1
  1. org.apache.logging.log4j.samples:log4j-spring-cloud-config-sample-server:jar:2.12.2
    +- org.springframework.boot:spring-boot-starter-log4j2:jar:2.1.2.RELEASE:compile
    |  \- (org.apache.logging.log4j:log4j-core:jar:2.11.1:compile - omitted for conflict with 2.12.2)
    \- org.apache.logging.log4j:log4j-slf4j-impl:jar:2.12.2:compile
       \- (org.apache.logging.log4j:log4j-core:jar:2.11.1:runtime - version managed from 2.12.2; omitted for conflict with 2.12.2)

2.12.2
  1. org.apache.logging.log4j.samples:log4j-spring-cloud-config-sample-server:jar:2.12.2
    \- org.apache.logging.log4j:log4j-core:jar:2.12.2:compile

org.apache.logging.log4j:log4j-slf4j-impl

[Error]
2.11.1
  1. org.apache.logging.log4j.samples:log4j-spring-cloud-config-sample-server:jar:2.12.2
    \- org.springframework.boot:spring-boot-starter-log4j2:jar:2.1.2.RELEASE:compile
       \- (org.apache.logging.log4j:log4j-slf4j-impl:jar:2.11.1:compile - omitted for conflict with 2.12.2)

2.12.2
  1. org.apache.logging.log4j.samples:log4j-spring-cloud-config-sample-server:jar:2.12.2
    \- org.apache.logging.log4j:log4j-slf4j-impl:jar:2.12.2:compile

org.apache.thrift:libthrift

[Error]
0.9.1
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- org.apache.cassandra:cassandra-all:jar:2.2.8:test
       \- com.thinkaurelius.thrift:thrift-server:jar:0.3.7:test
          \- (org.apache.thrift:libthrift:jar:0.9.1:test - omitted for conflict with 0.9.2)

0.9.2
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- org.apache.cassandra:cassandra-all:jar:2.2.8:test
       +- org.apache.thrift:libthrift:jar:0.9.2:test
       \- org.apache.cassandra:cassandra-thrift:jar:2.2.8:test
          \- (org.apache.thrift:libthrift:jar:0.9.2:test - omitted for duplicate)

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.5
  1. org.apache.logging.log4j:log4j-api-java9:pom:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:test
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.7.1)

  2. org.apache.logging.log4j:log4j-api:jar:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:test
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.7.1)

  3. org.apache.logging.log4j:log4j-core-java9:pom:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:test
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.7.1)

  4. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:test
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.7.1)

  5. org.apache.logging.log4j:log4j-osgi:jar:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:test
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.7.1)

1.7.1
  1. org.apache.logging.log4j:log4j-api-java9:pom:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       +- org.apache.maven:maven-settings-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       \- org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test

  2. org.apache.logging.log4j:log4j-api:jar:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       +- org.apache.maven:maven-settings-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       \- org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test

  3. org.apache.logging.log4j:log4j-core-java9:pom:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       +- org.apache.maven:maven-settings-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       \- org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test

  4. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       +- org.apache.maven:maven-settings-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       \- org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test

  5. org.apache.logging.log4j:log4j-osgi:jar:2.12.2
    \- org.apache.maven:maven-core:jar:3.6.0:test
       +- org.apache.maven:maven-settings-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.6.0:test
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)
       \- org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test

org.codehaus.woodstox:stax2-api

[Error]
3.1.4
  1. org.apache.logging.log4j:log4j-1.2-api:bundle:2.12.2
    \- com.fasterxml.jackson.dataformat:jackson-dataformat-xml:jar:2.9.9:test
       \- org.codehaus.woodstox:stax2-api:jar:3.1.4:test

4.1
  1. org.apache.logging.log4j:log4j-1.2-api:bundle:2.12.2
    \- com.fasterxml.jackson.dataformat:jackson-dataformat-xml:jar:2.9.9:test
       \- com.fasterxml.woodstox:woodstox-core:jar:5.1.0:test
          \- (org.codehaus.woodstox:stax2-api:jar:4.1:test - omitted for conflict with 3.1.4)

org.mortbay.jetty:servlet-api

[Error]
2.5-20081211
  1. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    \- org.apache.flume:flume-ng-core:jar:1.7.0:compile
       \- org.mortbay.jetty:jetty:jar:6.1.26:compile
          \- (org.mortbay.jetty:servlet-api:jar:2.5-20081211:compile - omitted for conflict with 2.5-20110124)

2.5-20110124
  1. org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2
    \- org.apache.flume:flume-ng-core:jar:1.7.0:compile
       \- org.mortbay.jetty:servlet-api:jar:2.5-20110124:compile

org.ow2.asm:asm

[Error]
5.0.3
  1. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- com.google.code.java-allocation-instrumenter:java-allocation-instrumenter:jar:3.0.1:test
       +- org.ow2.asm:asm:jar:5.0.3:test
       \- org.ow2.asm:asm-tree:jar:5.0.3:test
          \- (org.ow2.asm:asm:jar:5.0.3:test - omitted for duplicate)

5.0.4
  1. org.apache.logging.log4j:log4j-core:jar:2.12.2
    \- com.github.tomakehurst:wiremock:jar:2.19.0:test
       \- com.jayway.jsonpath:json-path:jar:2.4.0:test
          \- net.minidev:json-smart:jar:2.3:test
             \- net.minidev:accessors-smart:jar:1.2:test
                \- (org.ow2.asm:asm:jar:5.0.4:test - omitted for conflict with 5.0.3)

org.slf4j:slf4j-api

[Error]
1.7.25
  1. org.apache.logging.log4j:log4j-slf4j18-impl:jar:2.12.2
    +- org.slf4j:slf4j-ext:jar:1.8.0-alpha2:compile
    |  \- (org.slf4j:slf4j-api:jar:1.7.25:compile - version managed from 1.8.0-alpha2; omitted for conflict with 1.8.0-alpha2)
    \- org.apache.logging.log4j:log4j-to-slf4j:jar:2.12.2:test
       \- (org.slf4j:slf4j-api:jar:1.7.25:test - version managed from 1.8.0-alpha2; omitted for conflict with 1.8.0-alpha2)

1.8.0-alpha2
  1. org.apache.logging.log4j:log4j-slf4j18-impl:jar:2.12.2
    \- org.slf4j:slf4j-api:jar:1.8.0-alpha2:compile

org.springframework:spring-core

[Error]
4.2.6.RELEASE
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.springframework.cloud:spring-cloud-starter-bus-amqp:jar:2.1.1.RELEASE:compile
       \- org.springframework.cloud:spring-cloud-bus:jar:2.1.1.RELEASE:compile
          \- org.springframework.cloud:spring-cloud-stream:jar:2.1.2.RELEASE:compile
             \- org.springframework:spring-tuple:jar:1.0.0.RELEASE:compile
                \- (org.springframework:spring-core:jar:4.2.6.RELEASE:compile - omitted for conflict with 5.1.8.RELEASE)

4.3.22.RELEASE
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.springframework.cloud:spring-cloud-starter-bus-amqp:jar:2.1.1.RELEASE:compile
       \- org.springframework.cloud:spring-cloud-bus:jar:2.1.1.RELEASE:compile
          \- org.springframework.cloud:spring-cloud-stream:jar:2.1.2.RELEASE:compile
             \- org.springframework.retry:spring-retry:jar:1.2.4.RELEASE:compile
                \- (org.springframework:spring-core:jar:4.3.22.RELEASE:compile - omitted for conflict with 5.1.8.RELEASE)

5.1.4.RELEASE
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.springframework.cloud:spring-cloud-starter-bus-amqp:jar:2.1.1.RELEASE:compile
       \- org.springframework.cloud:spring-cloud-bus:jar:2.1.1.RELEASE:compile
          \- org.springframework.cloud:spring-cloud-stream:jar:2.1.2.RELEASE:compile
             \- org.springframework.cloud:spring-cloud-function-context:jar:2.0.1.RELEASE:compile
                \- org.springframework.cloud:spring-cloud-function-core:jar:2.0.1.RELEASE:compile
                   \- (org.springframework:spring-core:jar:5.1.4.RELEASE:compile - omitted for conflict with 5.1.8.RELEASE)

5.1.8.RELEASE
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    +- org.springframework.boot:spring-boot-starter-web:jar:2.1.6.RELEASE:compile
    |  +- org.springframework:spring-web:jar:5.1.8.RELEASE:compile
    |  |  +- org.springframework:spring-beans:jar:5.1.8.RELEASE:compile
    |  |  |  \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |  |  \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |  \- org.springframework:spring-webmvc:jar:5.1.8.RELEASE:compile
    |     +- org.springframework:spring-aop:jar:5.1.8.RELEASE:compile
    |     |  \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |     +- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |     \- org.springframework:spring-expression:jar:5.1.8.RELEASE:compile
    |        \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    +- org.springframework.boot:spring-boot-starter-actuator:jar:2.1.6.RELEASE:compile
    |  \- org.springframework.boot:spring-boot-actuator-autoconfigure:jar:2.1.6.RELEASE:compile
    |     \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    +- org.springframework.cloud:spring-cloud-starter-bus-amqp:jar:2.1.1.RELEASE:compile
    |  +- org.springframework.cloud:spring-cloud-starter-stream-rabbit:jar:2.1.2.RELEASE:compile
    |  |  \- org.springframework.cloud:spring-cloud-stream-binder-rabbit:jar:2.1.2.RELEASE:compile
    |  |     \- org.springframework.boot:spring-boot-starter-amqp:jar:2.1.6.RELEASE:compile
    |  |        \- org.springframework.amqp:spring-rabbit:jar:2.1.7.RELEASE:compile
    |  |           \- org.springframework.amqp:spring-amqp:jar:2.1.7.RELEASE:compile
    |  |              \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |  \- org.springframework.cloud:spring-cloud-bus:jar:2.1.1.RELEASE:compile
    |     +- org.springframework.cloud:spring-cloud-stream:jar:2.1.2.RELEASE:compile
    |     |  \- org.springframework:spring-messaging:jar:5.1.8.RELEASE:compile (version managed from 5.1.5.RELEASE)
    |     |     \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |     \- org.springframework.integration:spring-integration-core:jar:5.1.6.RELEASE:compile
    |        +- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |        \- org.springframework:spring-tx:jar:5.1.8.RELEASE:compile
    |           \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    +- org.springframework.boot:spring-boot-starter-test:jar:2.1.6.RELEASE:test
    |  \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - scope updated from test; omitted for duplicate)
    +- org.springframework:spring-test:jar:5.1.8.RELEASE:test
    |  \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - scope updated from test; omitted for duplicate)
    +- org.apache.logging.log4j:log4j-spring-cloud-config-client:jar:2.12.2:compile
    |  +- org.springframework.boot:spring-boot:jar:2.1.6.RELEASE:compile
    |  |  \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |  +- org.springframework:spring-context:jar:5.1.8.RELEASE:compile
    |  |  \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    |  \- org.springframework:spring-context-support:jar:5.1.8.RELEASE:compile
    |     \- (org.springframework:spring-core:jar:5.1.8.RELEASE:compile - omitted for duplicate)
    \- org.springframework.boot:spring-boot-starter:jar:2.1.6.RELEASE:compile
       \- org.springframework:spring-core:jar:5.1.8.RELEASE:compile

org.xerial.snappy:snappy-java

[Error]
1.0.4.1
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.logging.log4j:log4j-flume-ng:jar:2.12.2:compile
       \- org.apache.flume:flume-ng-sdk:jar:1.7.0:compile
          \- org.apache.avro:avro:jar:1.7.4:compile
             \- (org.xerial.snappy:snappy-java:jar:1.0.4.1:compile - omitted for conflict with 1.1.0)

1.1.0
  1. org.apache.logging.log4j.samples:log4j-samples-flume-embedded:war:2.12.2
    \- org.apache.flume.flume-ng-channels:flume-file-channel:jar:1.7.0:compile
       \- org.xerial.snappy:snappy-java:jar:1.1.0:compile

  2. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.apache.flume:flume-ng-embedded-agent:jar:1.9.0:compile
       \- org.apache.flume.flume-ng-channels:flume-file-channel:jar:1.7.0:compile
          \- (org.xerial.snappy:snappy-java:jar:1.1.0:compile - omitted for conflict with 1.0.4.1)

1.1.7.2
  1. org.apache.logging.log4j.samples:sample-app:jar:2.12.2
    \- org.apache.kafka:kafka-clients:jar:2.2.0:compile
       \- org.xerial.snappy:snappy-java:jar:1.1.7.2:compile

org.yaml:snakeyaml

[Error]
1.11
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- org.apache.cassandra:cassandra-all:jar:2.2.8:test
       \- org.yaml:snakeyaml:jar:1.11:test

1.12
  1. org.apache.logging.log4j:log4j-cassandra:jar:2.12.2
    \- org.apache.cassandra:cassandra-all:jar:2.2.8:test
       \- com.addthis.metrics:reporter-config3:jar:3.0.0:test
          +- com.addthis.metrics:reporter-config-base:jar:3.0.0:test
          |  \- (org.yaml:snakeyaml:jar:1.12:test - omitted for conflict with 1.11)
          \- (org.yaml:snakeyaml:jar:1.12:test - omitted for conflict with 1.11)